PR_GET_CHILD_SUBREAPER(2const)

NAME
PR_GET_CHILD_SUBREAPER - get the "child subreaper" attribute of the calling process

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_CHILD_SUBREAPER, int *isset);

DESCRIPTION
Return the "child subreaper" setting of the caller, in the location pointed to by isset.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EFAULT
    isset is an invalid address.

STANDARDS
Linux.

HISTORY
Linux 3.4.

SEE ALSO
prctl(2), PR_SET_CHILD_SUBREAPER(2const)